mxPerimeter (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.view
Class mxPerimeter

    java.lang.Object
      com.mxgraph.view.mxPerimeter

    public class mxPerimeter

extends Object

Provides various perimeter functions to be used in a style as the value of mxConstants.STYLE_PERIMETER. Alternately, the mxConstants. PERIMETER_* constants can be used to reference a perimeter via the mxStyleRegistry.

Nested Class Summary
`static interface` | `mxPerimeter.mxPerimeterFunction` Defines the requirements for a perimeter function.

Field Summary
`static mxPerimeter.mxPerimeterFunction` | `EllipsePerimeter` Describes an elliptic perimeter.
`static mxPerimeter.mxPerimeterFunction` | `HexagonPerimeter` Describes a hexagon perimeter.
`static mxPerimeter.mxPerimeterFunction` | `RectanglePerimeter` Describes a rectangular perimeter for the given bounds.
`static mxPerimeter.mxPerimeterFunction` | `RhombusPerimeter` Describes a rhombus (aka diamond) perimeter.
`static mxPerimeter.mxPerimeterFunction` | `TrianglePerimeter` Describes a triangle perimeter.

Constructor Summary
`mxPerimeter()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RectanglePerimeter

    public static mxPerimeter.mxPerimeterFunction RectanglePerimeter

  Describes a rectangular perimeter for the given bounds.

### EllipsePerimeter

    public static mxPerimeter.mxPerimeterFunction EllipsePerimeter

  Describes an elliptic perimeter.

### RhombusPerimeter

    public static mxPerimeter.mxPerimeterFunction RhombusPerimeter

  Describes a rhombus (aka diamond) perimeter.

### TrianglePerimeter

    public static mxPerimeter.mxPerimeterFunction TrianglePerimeter

  Describes a triangle perimeter. See RectanglePerimeter for a description of the parameters.

### HexagonPerimeter

    public static mxPerimeter.mxPerimeterFunction HexagonPerimeter

  Describes a hexagon perimeter. See RectanglePerimeter for a description of the parameters.

Constructor Detail

### mxPerimeter

    public mxPerimeter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.